import { defineStore } from 'pinia'

export const useMainStore = defineStore('mainStore', {
  state: () => ({
    assignFilter: "", // 濾鏡
    assignGender: "", // 性別
    assignRace: "", // 種族
    assignBgImg: "", // 背景
    imgFile: "", // 圖片檔案
    imgPath: "", // 圖片網址
    funFilterDialog: false, // 創意濾鏡視窗
    cameraRequested: false // 是否已經請求過攝影機權限
  }),
  getters: {
    isMobile: () => {
      // 判斷是否為手機裝置
      return /Mobile|Android|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(
        window.navigator.userAgent
      );
    },
  },
  actions: {
  },
})